      subroutine lmd_vmix (tile)      


      use Agrif_Util
#include "Param_BeforeCall_lmd_vmix.h"
      integer(4) :: tile
      

        call Sub_Loop_lmd_vmix(tile, Agrif_tabvars_i(16)%iarray0, Agrif_
     &tabvars_i(15)%iarray0, Agrif_tabvars_i(242)%iarray2, Agrif_tabvars
     &(117)%array3, Agrif_tabvars(116)%array3, Agrif_tabvars_i(8)%iarray
     &0, Agrif_tabvars_i(7)%iarray0)

      end


#include "Sub_Loop_lmd_vmix.h"
      subroutine lmd_vmix_tile (Istr,Iend,Jstr,Jend, Kv,Kt,Ks,Rig)      


      use Agrif_Util
#include "Param_BeforeCall_lmd_vmix_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: Rig
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: Kv
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: Kt
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: Ks
      

        call Sub_Loop_lmd_vmix_tile(Istr,Iend,Jstr,Jend,Kv,Kt,Ks,Rig, Ag
     &rif_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabva
     &rs_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars(81)%ar
     &ray2, Agrif_tabvars(77)%array2, Agrif_tabvars(122)%array3, Agrif_t
     &abvars(149)%array4, Agrif_tabvars_i(153)%iarray0, Agrif_tabvars(15
     &0)%array4, Agrif_tabvars(142)%array3, Agrif_tabvars_l(13)%larray0,
     & Agrif_tabvars_l(14)%larray0, Agrif_tabvars_l(11)%larray0, Agrif_t
     &abvars_l(12)%larray0)

      end


#include "Sub_Loop_lmd_vmix_tile.h"
      subroutine lmd_finalize_tile (istr,iend,jstr,jend, Kv,Kt,Ks)      


      use Agrif_Util
#include "Param_BeforeCall_lmd_finalize_tile.h"
      integer(4) :: istr
      integer(4) :: iend
      integer(4) :: jstr
      integer(4) :: jend
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: Kv
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: Kt
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: Ks
      

        call Sub_Loop_lmd_finalize_tile(istr,iend,jstr,jend,Kv,Kt,Ks, Ag
     &rif_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabva
     &rs_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars_l(13)%
     &larray0, Agrif_tabvars_l(14)%larray0, Agrif_tabvars_l(11)%larray0,
     & Agrif_tabvars_l(12)%larray0, Agrif_tabvars(123)%array4, Agrif_tab
     &vars(81)%array2, Agrif_tabvars(124)%array3)

      end


#include "Sub_Loop_lmd_finalize_tile.h"
